var Im = {
    none: {
        name: 'none',
        alt_name: 'none',
        kind: 'item',
        rank: 0,
        might: 0,
        magic: 0,
        hit: 0,
        crit: 0,
        min_range: 0,
        max_range: 0,
        weight: 0,
        uses: 0,
        worth: 0,
        exp: 0,
        effective_against: [],
        pref: [],
        target: [],
        stat_affected: [],
        menu_option: ""
    },
    ironsword: {
        name: 'Iron Sword',
        alt_name: 'Iron Claw',
        kind: 'sword',
        rank: 100,
        might: 12,
        magic: 0,
        hit: 100,
        crit: 0,
        min_range: 1,
        max_range: 1,
        weight: 4,
        uses: 40,
        worth: 400,
        exp: 2,
        effective_against: [],
        pref: [],
        target: ['enemy'],
        stat_affected: [],
        menu_option: Sy.MENU_ATTACK
    },
    ironlance: {
        name: 'Iron Lance',
        alt_name: 'Iron Fang',
        kind: 'lance',
        rank: 100,
        might: 12,
        magic: 0,
        hit: 100,
        crit: 0,
        min_range: 1,
        max_range: 1,
        weight: 4,
        uses: 40,
        worth: 400,
        exp: 2,
        effective_against: [],
        pref: [],
        target: ['enemy'],
        stat_affected: [],
        menu_option: Sy.MENU_ATTACK
    },
    ironbow: {
        name: 'Iron Bow',
        alt_name: 'Shock Cannon',
        kind: 'bow',
        rank: 100,
        might: 12,
        magic: 0,
        hit: 100,
        crit: 0,
        min_range: 2,
        max_range: 2,
        weight: 4,
        uses: 40,
        worth: 400,
        exp: 2,
        effective_against: ['Pegasusknight'],
        pref: [],
        target: ['enemy'],
        stat_affected: [],
        menu_option: Sy.MENU_ATTACK
    },
    ironaxe: {
        name: 'Iron Axe',
        alt_name: 'Iron Fang',
        kind: 'axe',
        rank: 100,
        might: 13,
        magic: 0,
        hit: 90,
        crit: 0,
        min_range: 1,
        max_range: 1,
        weight: 5,
        uses: 40,
        worth: 400,
        exp: 2,
        effective_against: [],
        pref: [],
        target: ['enemy'],
        stat_affected: [],
        menu_option: Sy.MENU_ATTACK
    },
    heal: {
        name: 'Heal',
        alt_name: 'Heal',
        kind: 'staff',
        rank: 100,
        might: 5,
        magic: 0,
        hit: 100,
        crit: 0,
        min_range: 1,
        max_range: 1,
        weight: 4,
        uses: 40,
        worth: 400,
        exp: 2,
        effective_against: [],
        pref: [],
        target: ['ally'],
        stat_affected: [],
        menu_option: Sy.MENU_STAFF
    },
    vulnerary: {
        name: 'Vulnerary',
        alt_name: 'Repair Kit',
        kind: 'item',
        rank: 0,
        might: 10,
        magic: 0,
        hit: 0,
        crit: 0,
        min_range: 0,
        max_range: 0,
        weight: 0,
        uses: 3,
        worth: 360,
        exp: 0,
        effective_against: [],
        pref: [],
        target: ['self'],
        stat_affected: ['currentHp'],
        menu_option: Sy.MENU_ITEM
    }
};