//single player data namespace
var SinglePlayerData = {};
SinglePlayerData.getMapData = function (level) {
    var map = {
        cursorX: 0,
        cursorY: 0,
        width: 15,
        height: 20,
        startingPlayerPositions: [],
        startingEnemyPositions: [],
        terrain: [],
        move: [],
        attack: [],
		vertTerrain: []
    };
	return SinglePlayerData['map' + level](map);
};
SinglePlayerData.getUnitData = function (level) {
	return SinglePlayerData['units' + level]();
};

SinglePlayerData.map1 = function (map) {
    var p = Tr.plain;
    var f = Tr.fort;
    var b = Tr.floor;
    var s = Tr.sea;
    var t = Tr.forest;
    var m = Tr.peak;
    map.width = 30;
    map.height = 19;
    map.vertTerrain.push([t, t, t, t, p, s, s, t, t, t, p, s, s, p, p, p, p, p, p, p, p, p, p, p, p, p, t, p, t, t]);
    map.vertTerrain.push([t, t, p, p, p, s, s, p, p, p, s, s, p, p, p, p, p, p, p, p, p, p, p, p, p, p, t, t, p, p]);
    map.vertTerrain.push([p, p, p, t, p, s, s, p, t, p, s, s, p, p, p, f, p, p, p, p, p, p, t, p, p, p, p, t, t, t]);
    map.vertTerrain.push([p, t, p, s, s, s, s, s, s, s, s, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, t, t]);
    map.vertTerrain.push([s, s, s, s, s, s, s, s, s, s, t, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, t, t]);
    map.vertTerrain.push([s, s, s, s, s, s, s, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, t, p, p, p, p, p, t, t]);
    map.vertTerrain.push([s, s, p, p, p, p, p, p, p, p, p, p, p, p, p, t, p, p, p, p, p, p, p, p, p, p, p, t, p, t]);
    map.vertTerrain.push([s, s, p, p, p, p, p, p, t, p, p, f, f, p, p, p, t, p, f, f, p, p, p, p, p, p, p, p, t, t]);
    map.vertTerrain.push([s, s, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p]);
    map.vertTerrain.push([s, p, p, p, p, p, p, p, p, t, p, p, p, m, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p]);
    map.vertTerrain.push([p, p, p, p, p, f, p, p, p, p, p, m, m, p, f, f, f, p, p, p, p, p, p, p, p, f, p, p, p, p]);
    map.vertTerrain.push([p, p, p, p, p, f, p, p, p, p, m, m, m, p, p, p, p, p, p, t, p, p, p, p, p, f, p, p, p, p]);
    map.vertTerrain.push([p, p, p, p, p, p, p, p, p, p, t, m, m, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p, p]);
    map.vertTerrain.push([p, p, p, p, p, p, p, p, p, p, p, m, p, p, p, t, p, p, p, p, t, p, p, p, p, p, p, p, p, p]);
    map.vertTerrain.push([p, p, p, p, p, p, p, p, p, t, p, m, t, p, t, t, t, p, p, p, t, p, p, p, p, p, p, p, p, p]);
    map.vertTerrain.push([p, p, p, p, p, p, p, p, p, t, t, t, p, p, t, t, t, p, p, t, p, p, p, p, p, p, p, p, p, p]);
    map.vertTerrain.push([p, p, p, p, p, p, p, p, p, p, p, t, t, p, t, t, t, p, p, t, t, p, p, p, p, p, p, p, p, t]);
    map.vertTerrain.push([p, p, p, p, p, p, p, p, p, p, p, p, p, t, t, t, t, p, p, p, p, p, p, p, p, p, t, t, p, t]);
    map.vertTerrain.push([p, p, p, p, p, p, p, p, p, p, p, t, p, t, t, t, t, t, p, p, p, p, p, p, p, p, p, p, t, t]);
    map.vertTerrain.push([p, p, p, p, p, p, p, p, p, p, p, t, p, t, t, p, t, t, p, p, p, p, p, p, p, p, t, t, p, t]);
    map.startingPlayerPositions = [{x: 0, y: 18},
                                   {x: 0, y: 17},
                                   {x: 1, y: 18},
                                   {x: 0, y: 16},
                                   {x: 2, y: 18}];
    map.startingEnemyPositions = [{x: 24, y: 12},
                                  {x: 26, y: 12},
                                  {x: 25, y: 13},
                                  {x: 23, y: 13},
                                  {x: 24, y: 11}];
    return map;
};

SinglePlayerData.units1 = function () {
    var characterArray = [];
    for (var i = 0; i < 5; i += 1) {
        if (i > 4) {
            Sy.varPlayerCharacters.push(Sy.createEmptyCharacter());
        }
        /** @type{characterType} */
        var character = baseStats.createCharacter();
        //perform some lookup, an array of up to 5 objects with:
        character.name = "a";
        character.sword_exp = 0;
        character.axe_exp = 0;
        character.lance_exp = 0;
        character.bow_exp = 0;
        character.tome_exp = 0;
        character.staff_exp = 0;
        //character.hp=20;
        //character.currentHp=character.hp;
        character.str = 11;
        character.mag = 12;
        character.skl = 13;
        character.spd = 14;
        character.lck = 15;
        character.def = 6;
        character.res = 17;
        character.hp = 20;
        //cl is to avoid using the word "class"
        if (i == 1) {
            character.cl = "Cavalier";
            character.lance_exp = 100;
            character.sword_exp = 100;
            character.str = 15;
            character.mag = 0;
            character.skl = 10;
            character.spd = 10;
            character.lck = 15;
            character.def = 6;
            character.res = 0;
        } else if (i == 2) {
            character.cl = "Pegasusknight";
            character.lance_exp = 100;
            character.str = 12;
            character.mag = 0;
            character.skl = 10;
            character.spd = 13;
            character.lck = 15;
            character.def = 4;
            character.res = 0;
        } else if (i == 3) {
            character.cl = "Archer";
            character.bow_exp = 100;
            character.str = 13;
            character.mag = 0;
            character.skl = 10;
            character.spd = 14;
            character.lck = 15;
            character.def = 6;
            character.res = 0;
        } else if (i == 4) {
            character.cl = "Knight";
            character.lance_exp = 100;
            character.str = 10;
            character.mag = 0;
            character.skl = 10;
            character.spd = 5;
            character.lck = 15;
            character.def = 12;
            character.res = 0;
        } else if (i == 0) {
            character.cl = "Mercenary";
            character.sword_exp = 100;
            character.str = 16;
            character.mag = 0;
            character.skl = 10;
            character.spd = 9;
            character.lck = 15;
            character.def = 7;
            character.res = 0;
        }
        character.level = 1;
        character.exp = 50;
        //copy all base values
        for (var key in baseStats[character.cl]) {
            character[key] = baseStats[character.cl][key];
            character.currentHp = character.hp;
        }
        character.item = [Im.ironsword, Im.vulnerary, Im.ironbow, Im.ironlance, Im.heal];
        characterArray.push(character);
        character.hasMoved = false;
        character.x = Sy.map.startingEnemyPositions[i].x;
        character.y = Sy.map.startingEnemyPositions[i].y;
        character.player_state = Sy.ENEMY;
    }
    return characterArray;
};

SinglePlayerData.map2 = function (map) {
    var p = Tr.plain;
    var f = Tr.fort;
    var b = Tr.floor;
    var s = Tr.sea;
    var t = Tr.forest;
    var m = Tr.peak;
    map.width = 15;
    map.height = 20;
    map.vertTerrain.push([p, t, p, p, p, p, t, p, p, p, p, p, p, p, p]);
    map.vertTerrain.push([p, m, t, p, p, t, t, p, p, t, p, p, p, p, p]);
    map.vertTerrain.push([p, p, p, p, p, p, p, p, p, t, p, p, p, s, s]);
    map.vertTerrain.push([p, p, p, m, t, t, t, p, p, p, t, p, s, s, s]);
    map.vertTerrain.push([p, p, p, p, m, m, m, m, p, p, p, p, s, s, s]);
    map.vertTerrain.push([p, p, m, m, f, m, s, s, s, p, t, p, s, p, t]);
    map.vertTerrain.push([p, p, s, s, f, f, s, s, s, p, p, t, p, t, p]);
    map.vertTerrain.push([p, s, s, t, p, m, m, s, s, p, t, p, p, p, p]);
    map.vertTerrain.push([p, s, s, s, t, m, t, m, p, m, p, p, p, t, p]);
    map.vertTerrain.push([p, s, s, s, t, t, t, p, p, p, m, p, p, p, p]);
    map.vertTerrain.push([p, t, p, p, t, p, m, p, t, m, m, m, p, p, p]);
    map.vertTerrain.push([p, p, p, p, p, p, m, p, p, p, m, m, p, p, t]);
    map.vertTerrain.push([p, t, p, p, t, m, p, p, p, p, p, p, m, p, t]);
    map.vertTerrain.push([p, p, p, t, t, t, m, m, p, t, p, p, m, p, p]);
    map.vertTerrain.push([p, t, p, p, t, m, t, p, m, p, p, p, m, p, p]);
    map.vertTerrain.push([p, p, p, p, m, p, p, t, t, p, p, p, m, t, m]);
    map.vertTerrain.push([p, p, t, p, m, m, t, t, p, s, s, s, s, p, f]);
    map.vertTerrain.push([p, p, p, p, m, m, m, p, p, s, s, s, s, p, p]);
    map.vertTerrain.push([p, p, p, p, p, m, t, m, s, s, s, s, s, p, p]);
    map.vertTerrain.push([p, p, p, p, p, m, m, m, s, s, s, s, s, p, p]);
    map.startingPlayerPositions = [{x: 0, y: 19},
                                   {x: 0, y: 18},
                                   {x: 1, y: 19},
                                   {x: 0, y: 17},
                                   {x: 2, y: 19}];
    map.startingEnemyPositions = [{x: 10, y: 12},
                                  {x: 11, y: 12},
                                  {x: 10, y: 11},
                                  {x: 8, y: 3},
                                  {x: 7, y: 3},
                                  {x: 8, y: 2},
                                  {x: 14, y: 16}];
    return map;
};

SinglePlayerData.units2 = function () {
    var characterArray = [];
    var chapterClasses = ["Archer",
                        "Archer",
                        "Archer",
                        "Archer",
                        "Archer",
                        "Archer",
                        "Archer"];
    var chapterLevels = [2, 2, 2, 2, 2, 2, 5];
    for (var j = 0; j < chapterClasses.length; j += 1) {
        var character = baseStats.createCharacter();
        character.cl = chapterClasses[j];
        character.level = chapterLevels[j];
        character.exp = 0;
        for (var key in baseStats[character.cl]) {
            character[key] = baseStats[character.cl][key];
        }
        character.item = [Im.ironsword, Im.vulnerary, Im.ironbow, Im.ironlance, Im.heal];
        var c = ["sword_exp",
                "axe_exp",
                "lance_exp",
                "bow_exp",
                "tome_exp",
                "staff_exp",
                "hp",
                "str",
                "mag",
                "skl",
                "spd",
                "lck",
                "def",
                "res"];
        for (var i = 0; i < c.length; i += 1) {
            var nameOfStat = c[i];
            character[nameOfStat] = baseStats[character.cl][nameOfStat];
            if (c[i].indexOf("_exp") == -1) { //apply growths
                character[nameOfStat] += Math.floor((baseStats[character.cl]["growth_" + nameOfStat] * character.level) / 100);
            } else {
                character[nameOfStat] += Math.floor(character.level / 5) * character[nameOfStat];
            }
        }
        character.currentHp = character.hp;
        character.item = [Im.ironsword, Im.vulnerary, Im.ironbow, Im.ironlance, Im.heal];
        characterArray.push(character);
        character.hasMoved = false;
        character.x = Sy.map.startingEnemyPositions[j].x;
        character.y = Sy.map.startingEnemyPositions[j].y;
        character.player_state = Sy.ENEMY;
    }
    return characterArray;
};

SinglePlayerData.map3 = function (map) {
    var p = Tr.plain;
    var f = Tr.fort;
    var b = Tr.floor;
    var s = Tr.sea;
    var t = Tr.forest;
    var m = Tr.peak;
    map.width = 15;
    map.height = 20;
    map.vertTerrain.push([p, t, t, f, f, m, t, p, p, p, p, p, p, p, p]);
    map.vertTerrain.push([p, t, s, f, f, s, t, p, t, t, p, p, p, p, p]);
    map.vertTerrain.push([p, t, s, f, f, s, p, p, p, p, p, p, p, p, p]);
    map.vertTerrain.push([p, s, s, s, s, s, t, m, m, t, p, p, m, m, p]);
    map.vertTerrain.push([t, s, s, s, s, p, t, m, m, t, p, p, m, m, p]);
    map.vertTerrain.push([t, f, s, f, p, m, t, m, p, p, m, m, p, p, p]);
    map.vertTerrain.push([m, m, m, m, p, p, t, p, p, p, m, m, p, p, p]);
    map.vertTerrain.push([m, f, m, p, p, p, m, m, m, p, p, p, p, m, m]);
    map.vertTerrain.push([m, m, p, p, m, p, m, m, p, p, m, m, p, m, m]);
    map.vertTerrain.push([m, f, m, p, t, p, t, p, p, p, f, m, t, p, p]);
    map.vertTerrain.push([p, t, p, p, m, m, t, p, m, m, p, p, p, p, p]);
    map.vertTerrain.push([p, t, m, p, m, t, t, p, m, m, p, m, m, p, p]);
    map.vertTerrain.push([p, m, p, p, t, m, t, p, t, t, p, m, t, p, p]);
    map.vertTerrain.push([p, t, p, f, m, t, t, m, m, t, p, m, m, p, p]);
    map.vertTerrain.push([p, t, p, p, p, p, t, p, t, t, p, p, t, p, p]);
    map.vertTerrain.push([p, m, m, p, p, m, m, p, m, m, p, t, f, t, s]);
    map.vertTerrain.push([p, m, m, p, p, m, m, p, m, m, p, p, t, s, s]);
    map.vertTerrain.push([p, t, p, p, p, p, t, p, p, p, t, s, s, s, s]);
    map.vertTerrain.push([p, t, p, t, m, m, t, p, p, p, t, s, s, s, s]);
    map.vertTerrain.push([p, t, p, p, m, m, t, p, p, p, t, s, s, s, s]);
    map.startingPlayerPositions = [{x: 0, y: 19},
                                   {x: 0, y: 18},
                                   {x: 1, y: 19},
                                   {x: 0, y: 17},
                                   {x: 2, y: 19}];
    map.startingEnemyPositions = [{x: 13, y: 0},
                                  {x: 11, y: 0},
                                  {x: 14, y: 1}];
    return map;
};

SinglePlayerData.units3 = function () {
    var characterArray = [];
    var chapterClasses = ["Cavalier",
                        "Cavalier",
                        "Cavalier"];
    var chapterLevels = [7, 7, 7];
    for (var j = 0; j < chapterClasses.length; j += 1) {
        var character = baseStats.createCharacter();
        character.cl = chapterClasses[j];
        character.level = chapterLevels[j];
        character.exp = 0;
        for (var key in baseStats[character.cl]) {
            character[key] = baseStats[character.cl][key];
        }
        character.item = [Im.ironsword, Im.vulnerary, Im.ironbow, Im.ironlance, Im.heal];
        var c = ["sword_exp",
                "axe_exp",
                "lance_exp",
                "bow_exp",
                "tome_exp",
                "staff_exp",
                "hp",
                "str",
                "mag",
                "skl",
                "spd",
                "lck",
                "def",
                "res"];
        for (var i = 0; i < c.length; i += 1) {
            var nameOfStat = c[i];
            character[nameOfStat] = baseStats[character.cl][nameOfStat];
            if (c[i].indexOf("_exp") == -1) { //apply growths
                character[nameOfStat] += Math.floor((baseStats[character.cl]["growth_" + nameOfStat] * character.level) / 100);
            } else {
                character[nameOfStat] += Math.floor(character.level / 5) * character[nameOfStat];
            }
        }
        character.currentHp = character.hp;
        character.item = [Im.ironsword, Im.vulnerary, Im.ironbow, Im.ironlance, Im.heal];
        characterArray.push(character);
        character.hasMoved = false;
        character.x = Sy.map.startingEnemyPositions[j].x;
        character.y = Sy.map.startingEnemyPositions[j].y;
        character.player_state = Sy.ENEMY;
        character.skl = 0;
        character.lck = 0;
    }
    return characterArray;
};

SinglePlayerData.map4 = function (map) {
    var p = Tr.plain;
    var f = Tr.fort;
    var b = Tr.floor;
    var s = Tr.sea;
    var t = Tr.forest;
    var m = Tr.peak;
    map.width = 20;
    map.height = 20;
    map.vertTerrain.push([f, p, p, p, p, p, p, t, p, t, p, p, p, p, p, p, p, p, p, p]);
    map.vertTerrain.push([t, t, p, p, p, m, t, t, m, p, p, p, p, p, p, p, t, p, p, p]);
    map.vertTerrain.push([p, p, p, p, m, m, m, p, p, p, p, p, p, p, p, p, t, p, p, p]);
    map.vertTerrain.push([p, p, p, p, p, m, t, p, m, p, p, p, p, p, p, p, t, t, p, p]);
    map.vertTerrain.push([p, p, p, p, p, p, p, p, f, m, p, p, p, p, p, p, t, p, p, p]);
    map.vertTerrain.push([p, p, m, m, m, p, t, t, t, t, p, p, p, p, p, p, p, t, p, p]);
    map.vertTerrain.push([p, p, p, p, p, p, p, p, t, t, p, p, p, p, p, p, p, p, p, p]);
    map.vertTerrain.push([p, p, p, p, p, p, m, m, t, p, p, p, t, t, p, p, p, p, p, p]);
    map.vertTerrain.push([p, p, p, p, m, p, m, m, p, p, p, p, p, t, p, p, p, p, p, p]);
    map.vertTerrain.push([p, p, p, p, p, p, p, p, m, m, p, p, p, t, p, p, p, p, p, p]);
    map.vertTerrain.push([p, p, p, p, m, p, m, p, m, m, p, p, p, p, p, p, p, p, p, p]);
    map.vertTerrain.push([p, p, p, p, p, p, p, p, p, p, p, p, p, t, p, p, p, t, p, p]);
    map.vertTerrain.push([p, p, p, p, p, p, m, f, p, m, p, p, p, p, t, t, p, p, p, p]);
    map.vertTerrain.push([p, p, p, p, m, p, p, p, p, p, p, p, p, p, p, p, t, p, p, p]);
    map.vertTerrain.push([p, p, p, p, p, p, m, p, m, m, p, p, p, p, p, t, p, p, p, p]);
    map.vertTerrain.push([p, p, p, p, p, p, p, f, m, m, p, p, p, p, t, t, t, p, p, p]);
    map.vertTerrain.push([p, p, p, p, p, p, m, m, t, p, p, p, p, p, p, t, t, p, p, p]);
    map.vertTerrain.push([p, p, p, p, p, p, m, m, t, p, p, p, p, p, p, p, p, p, p, p]);
    map.vertTerrain.push([t, p, p, p, p, p, f, t, p, p, p, p, p, p, p, p, p, p, p, p]);
    map.vertTerrain.push([t, t, p, p, p, p, f, t, p, p, p, p, p, p, p, p, p, p, p, p]);
    map.startingPlayerPositions = [{x: 0, y: 10},
                                   {x: 0, y: 9},
                                   {x: 0, y: 8},
                                   {x: 0, y: 11},
                                   {x: 0, y: 12}];
    map.startingEnemyPositions = [{x: 19, y: 10},
                                  {x: 19, y: 9},
                                  {x: 19, y: 8},
                                  {x: 19, y: 11},
                                  {x: 19, y: 12},
                                  {x: 17, y: 2},
                                  {x: 17, y: 18},
                                  {x: 15, y: 10}];
    return map;
};

SinglePlayerData.units4 = function () {
    var characterArray = [];
    var chapterClasses = ["Cavalier",
                        "Cavalier",
                        "Cavalier",
                        "Cavalier",
                        "Cavalier",
                        "Cavalier",
                        "Cavalier",
                        "Cavalier"];
    var chapterLevels = [5, 4, 7, 3, 6, 3, 5, 5];
    for (var j = 0; j < chapterClasses.length; j += 1) {
        var character = baseStats.createCharacter();
        character.cl = chapterClasses[j];
        character.level = chapterLevels[j];
        character.exp = 0;
        for (var key in baseStats[character.cl]) {
            character[key] = baseStats[character.cl][key];
        }
        character.item = [Im.ironsword, Im.vulnerary, Im.ironbow, Im.ironlance, Im.heal];
        var c = ["sword_exp",
                "axe_exp",
                "lance_exp",
                "bow_exp",
                "tome_exp",
                "staff_exp",
                "hp",
                "str",
                "mag",
                "skl",
                "spd",
                "lck",
                "def",
                "res"];
        for (var i = 0; i < c.length; i += 1) {
            var nameOfStat = c[i];
            character[nameOfStat] = baseStats[character.cl][nameOfStat];
            if (c[i].indexOf("_exp") == -1) { //apply growths
                character[nameOfStat] += Math.floor((baseStats[character.cl]["growth_" + nameOfStat] * character.level) / 100);
            } else {
                character[nameOfStat] += Math.floor(character.level / 5) * character[nameOfStat];
            }
        }
        character.currentHp = character.hp;
        character.item = [Im.ironsword, Im.vulnerary, Im.ironbow, Im.ironlance, Im.heal];
        characterArray.push(character);
        character.hasMoved = false;
        character.x = Sy.map.startingEnemyPositions[j].x;
        character.y = Sy.map.startingEnemyPositions[j].y;
        character.player_state = Sy.ENEMY;
    }
    return characterArray;
};

SinglePlayerData.mapdefault = function (map) { 
    var p = Tr.plain;
    var f = Tr.fort;
    var b = Tr.floor;
    var s = Tr.sea;
    var t = Tr.forest;
    var m = Tr.peak;
	map.width = 15;
	map.height = 20;
	map.vertTerrain.push([p, p, p, p, p, p, p, p, p, p, p, p, p, p, p]);
	map.vertTerrain.push([p, p, p, p, p, p, p, f, p, p, p, p, p, p, p]);
	map.vertTerrain.push([p, p, p, p, p, p, p, p, p, p, p, p, p, p, p]);
	map.vertTerrain.push([b, s, s, s, s, s, s, b, s, s, s, s, s, s, b]);
	map.vertTerrain.push([b, s, s, s, s, s, s, b, s, s, s, s, s, s, b]);
	map.vertTerrain.push([b, s, s, s, p, p, p, p, p, p, p, s, s, s, b]);
	map.vertTerrain.push([b, s, s, p, p, p, p, p, p, p, p, p, s, s, b]);
	map.vertTerrain.push([b, s, p, p, p, p, f, f, f, p, p, t, p, s, b]);
	map.vertTerrain.push([b, s, p, t, p, p, p, p, p, p, t, p, p, s, b]);
	map.vertTerrain.push([b, s, s, p, t, p, p, p, p, p, t, s, s, s, b]);
	map.vertTerrain.push([b, s, s, s, p, p, p, t, p, p, p, p, s, s, b]);
	map.vertTerrain.push([b, s, s, s, p, t, p, p, p, t, p, p, p, s, b]);
	map.vertTerrain.push([b, s, p, p, p, p, p, s, p, p, p, p, p, s, b]);
	map.vertTerrain.push([b, s, s, p, f, p, s, s, s, p, f, p, p, s, b]);
	map.vertTerrain.push([b, s, s, p, p, s, s, s, s, s, p, p, s, s, b]);
	map.vertTerrain.push([b, s, s, b, s, s, s, s, s, s, s, b, s, s, b]);
	map.vertTerrain.push([b, s, s, b, s, s, s, s, s, s, s, b, s, s, b]);
	map.vertTerrain.push([p, p, p, p, s, s, s, s, s, s, s, p, p, p, p]);
	map.vertTerrain.push([p, p, p, p, p, s, s, s, s, s, p, p, p, p, p]);
	map.vertTerrain.push([f, p, f, p, p, p, s, s, s, p, p, f, p, f, p]);
	map.startingPlayerPositions = [{
		x: 14,
		y: 19
	}, {
		x: 11,
		y: 18
	}, {
		x: 12,
		y: 18
	}, {
		x: 13,
		y: 18
	}, {
		x: 12,
		y: 19
	}];
	map.startingEnemyPositions = [{
		x: 4,
		y: 14
	}, {
		x: 3,
		y: 17
	}, {
		x: 3,
		y: 14
	}, {
		x: 3,
		y: 13
	}, {
		x: 2,
		y: 17
	}];
	return map;
};

SinglePlayerData.unitsdefault = function () { 
	var characterArray = [];
    for (var i = 0; i < 5; i += 1) {
        var character = baseStats.createCharacter();
        //perform some lookup, an array of up to 5 objects with:
        character.name = "";
        //cl is to avoid using the word "class"
        if (i == 1) {
            character.cl = "Cavalier";
        } else if (i == 2) {
            character.cl = "Pegasusknight";
        } else if (i == 3) {
            character.cl = "Archer";
        } else if (i == 4) {
            character.cl = "Knight";
        } else if (i == 0) {
            character.cl = "Mercenary";
        }
        //copy all base values
		character = baseStats.applyStatsToCharacter(character,character.cl,1);
        character.currentHp = character.hp;
		characterArray.push(character);
    }
    return characterArray;
};

