//single player data namespace
var SinglePlayerData = {};
SinglePlayerData.getMapData = function (level) {
    var map = {
        cursorX: 0,
        cursorY: 0,
        width: 15,
        height: 20,
        startingPlayerPositions: [],
        startingEnemyPositions: [],
        terrain: [],
        move: [],
        attack: [],
		vertTerrain: []
    };
	return SinglePlayerData['map' + level](map);
};
SinglePlayerData.getUnitData = function (level) {
	return SinglePlayerData['units' + level]();
};

SinglePlayerData.mapdefault = function (map) { 
    var p = Tr.plain;
    var f = Tr.fort;
    var b = Tr.floor;
    var s = Tr.sea;
    var t = Tr.forest;
    var m = Tr.peak;
	map.width = 15;
	map.height = 20;
	map.vertTerrain.push([m, m, m, m, m, m, m, m, m, m, m, m, m, m, m]);
	map.vertTerrain.push([m, m, m, m, m, m, m, m, m, m, m, m, m, m, m]);
	map.vertTerrain.push([m, m, m, m, m, m, m, m, m, m, m, m, m, m, m]);
	map.vertTerrain.push([m, m, m, m, m, m, m, m, m, m, m, m, m, m, m]);
	map.vertTerrain.push([m, m, m, m, m, m, m, m, m, m, m, m, m, m, m]);
	map.vertTerrain.push([m, m, m, f, f, f, f, f, f, f, f, f, m, m, m]);
	map.vertTerrain.push([m, m, m, f, t, t, t, t, t, t, t, f, m, m, m]);
	map.vertTerrain.push([m, m, m, f, t, p, p, p, p, p, t, f, m, m, m]);
	map.vertTerrain.push([m, m, m, f, t, p, p, p, p, p, t, f, m, m, m]);
	map.vertTerrain.push([m, m, m, f, t, p, p, s, s, p, t, f, m, m, m]);
	map.vertTerrain.push([m, m, m, f, t, p, p, s, s, p, t, f, m, m, m]);
	map.vertTerrain.push([m, m, m, f, t, p, p, p, p, p, t, f, m, m, m]);
	map.vertTerrain.push([m, m, m, f, t, t, t, t, t, t, t, f, m, m, m]);
	map.vertTerrain.push([m, m, m, f, f, f, f, f, f, f, f, f, m, m, m]);
	map.vertTerrain.push([m, m, m, m, m, m, m, m, m, m, m, m, m, m, m]);
	map.vertTerrain.push([m, m, m, m, m, m, m, m, m, m, m, m, m, m, m]);
	map.vertTerrain.push([m, m, m, m, m, m, m, m, m, m, m, m, m, m, m]);
	map.vertTerrain.push([m, m, m, m, m, m, m, m, m, m, m, m, m, m, m]);
	map.vertTerrain.push([m, m, m, m, m, m, m, m, m, m, m, m, m, m, m]);
	map.vertTerrain.push([m, m, m, m, m, m, m, m, m, m, m, m, m, m, m]);
	map.startingPlayerPositions = [{
		x: 3,
		y: 5
	}, {
		x: 3,
		y: 13
	}, {
		x: 11,
		y: 13
	}, {
		x: 11,
		y: 5
	}, {
		x: 8,
		y: 10
	}];
	map.startingEnemyPositions = [{
		x: 7,
		y: 9
	}];
	return map;
};

SinglePlayerData.unitsplayer = function () { 
	var characterArray = [];
    for (var i = 0; i < 5; i += 1) {
        var character = baseStats.createCharacter();
        //perform some lookup, an array of up to 5 objects with:
        character.name = "";
        //cl is to avoid using the word "class"
        if (i == 1) {
            character.cl = "Cavalier";
        } else if (i == 2) {
            character.cl = "Mercenary";
        } else if (i == 3) {
            character.cl = "Archer";
        } else if (i == 4) {
            character.cl = "Knight";
        } else if (i == 0) {
            character.cl = "Mercenary";
        }
        //copy all base values
		character = baseStats.applyStatsToCharacter(character,character.cl,7);
        character.currentHp = character.hp;
		characterArray.push(character);
    }
    return characterArray;
};

SinglePlayerData.unitsenemy = function () { 
	var characterArray = [];
	var character = baseStats.createCharacter();
	//perform some lookup, an array of up to 5 objects with:
	character.name = "";
	//cl is to avoid using the word "class"
	
	character.cl = "Cavalier";
	
	//copy all base values
	character = baseStats.applyStatsToCharacter(character,character.cl,20);
	character.currentHp = character.hp;
	characterArray.push(character);

    return characterArray;
};
